Subject: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Andrea Corallo <[email-masked]>
Date: Wed, 24 Feb 2021 10:06:24 +0000

Pip Cet <[email-masked]> writes:

> On Wed, Feb 24, 2021 at 9:42 AM Andrea Corallo <[email-masked]> wrote:
>> (assume #(mvar 22593374 2 (not (integer 3 3))) (not #(mvar 22590962 2 (integer 3 3))))
>
> If that doesn't mean "the variable in slot 2 is not equal to the
> variable in slot 2", we desperately need to work on the LIMPLE
> syntax...

Honestly I think would be fair from your side to first try to understand
how it works before criticizing it or submitting untested patches.

Indeed I'm happy to answer as I've explained what this means in my
previous mail.

And I've to say, not everything that's not working as you'd expect at
first glance is broken by definition, this is just not a very good
collaborative approach :/

  Andrea